% Fhrer/Heidemann/Nerreter, Band 2
% Kapitel 2, Beispiel 3
clc;
disp('Band 2, Beispiel 2.3');
BL=1.2;
my0=pi*4.0e-7;
wmL=BL^2/(2*my0);
figure;
gu=0; % untere Grenze
go=1.2; % obere Grenze
n=100;
x=[0 0.2 0.4 0.75 0.94 1.2]; % Werte der Flussdichte B in Tesla
y=[0  50  70  100  130 245]; % Werte der Feldstrke H in A/m
anzahl=n*length(x)-1;
s=(go-gu)/anzahl; % Schrittweite
xx=gu:s:go; % Werte B
yy=spline(x,y,xx); % Werte H
plot(xx,yy); hold on; grid;
xlabel('B in T'); ylabel('H in A/m');
W=0;
for k=2:anzahl;
    W=W+yy(k)*(xx(k)-xx(k-1));
end;
disp(' ');
disp(['wmL =',sprintf(' %3.5f ',wmL/1.0e3),'kJ/m3']);
disp(['wmFe =',sprintf(' %3.5f ',W),'J/m3']);
lL=1.0e-3;
lFe=0.942;
d=30e-3;
A=0.25*pi*d^2;
WmL=wmL*lL*A;
WmFe=W*lFe*A;
disp(' ');
disp(['WmL =',sprintf(' %3.5f ',WmL*1.0e3),'mJ']);
disp(['WmFe =',sprintf(' %3.5f ',WmFe*1.0e3),'mJ']);